Cldr::Timezones::UTC_OFFSET_WITH_COLON = '%s%02d:%02d'

#Just like in ActiveSupport::TimeZone we are providing a meaningful subset of 124 of timezones.
#However we are providing a subset that exists in CLDR.

 Cldr::Timezones::SUBSET_TIMEZONES = [
  "Pacific/Midway",
  "Pacific/Pago_Pago",
  "Pacific/Honolulu",
  "America/Juneau",
  "America/Los_Angeles",
  "America/Tijuana",
  "America/Denver",
  "America/Phoenix",
  "America/Chihuahua",
  "America/Mazatlan",
  "America/Chicago",
  "America/Regina",
  "America/Mexico_City",
  "America/Monterrey",
  "America/Guatemala",
  "America/New_York",
  "America/Indiana/Indianapolis",
  "America/Bogota",
  "America/Lima",
  "America/Lima",
  "America/Halifax",
  "America/Caracas",
  "America/La_Paz",
  "America/Santiago",
  "America/St_Johns",
  "America/Sao_Paulo",
  "America/Argentina/Buenos_Aires",
  "America/Guyana",
  "America/Godthab",
  "Atlantic/South_Georgia",
  "Atlantic/Azores",
  "Atlantic/Cape_Verde",
  "Europe/Dublin",
  "Europe/London",
  "Europe/Lisbon",
  "Europe/London",
  "Africa/Casablanca",
  "Africa/Monrovia",
  "Etc/UTC",
  "Europe/Belgrade",
  "Europe/Bratislava",
  "Europe/Budapest",
  "Europe/Ljubljana",
  "Europe/Prague",
  "Europe/Sarajevo",
  "Europe/Skopje",
  "Europe/Warsaw",
  "Europe/Zagreb",
  "Europe/Brussels",
  "Europe/Copenhagen",
  "Europe/Madrid",
  "Europe/Paris",
  "Europe/Amsterdam",
  "Europe/Berlin",
  "Europe/Berlin",
  "Europe/Rome",
  "Europe/Stockholm",
  "Europe/Vienna",
  "Africa/Algiers",
  "Europe/Bucharest",
  "Africa/Cairo",
  "Europe/Helsinki",
  "Europe/Kiev",
  "Europe/Riga",
  "Europe/Sofia",
  "Europe/Tallinn",
  "Europe/Vilnius",
  "Europe/Athens",
  "Europe/Istanbul",
  "Europe/Minsk",
  "Asia/Jerusalem",
  "Africa/Harare",
  "Africa/Johannesburg",
  "Europe/Volgograd",
  "Europe/Moscow",
  "Asia/Kuwait",
  "Asia/Riyadh",
  "Africa/Nairobi",
  "Asia/Baghdad",
  "Asia/Tehran",
  "Asia/Muscat",
  "Asia/Baku",
  "Asia/Tbilisi",
  "Asia/Yerevan",
  "Asia/Kabul",
  "Asia/Yekaterinburg",    
  "Asia/Karachi",
  "Asia/Tashkent",
  "Asia/Calcutta",
  "Asia/Kathmandu",
  "Asia/Dhaka",
  "Asia/Colombo",
  "Asia/Almaty",
  "Asia/Novosibirsk",
  "Asia/Rangoon",
  "Asia/Bangkok",
  "Asia/Jakarta",
  "Asia/Krasnoyarsk",
  "Asia/Shanghai",
  "Asia/Chongqing",
  "Asia/Hong_Kong",
  "Asia/Urumqi",
  "Asia/Kuala_Lumpur",
  "Asia/Singapore",
  "Asia/Taipei",
  "Australia/Perth",
  "Asia/Irkutsk",
  "Asia/Ulaanbaatar",
  "Asia/Seoul",
  "Asia/Tokyo",
  "Asia/Yakutsk",
  "Australia/Darwin",
  "Australia/Adelaide",
  "Australia/Melbourne",
  "Australia/Sydney",
  "Australia/Brisbane",
  "Australia/Hobart",
  "Asia/Vladivostok",
  "Pacific/Guam",
  "Pacific/Port_Moresby",
  "Asia/Magadan",
  "Pacific/Noumea",
  "Pacific/Fiji",
  "Asia/Kamchatka",
  "Pacific/Majuro",
  "Pacific/Auckland",
  "Pacific/Auckland",
  "Pacific/Tongatapu"
].freeze

Cldr::Timezones::RAILS_IDENTIFIERS = {
  "Pacific/Midway"                 => ["International Date Line West", "Midway Island"],
  "Pacific/Pago_Pago"              => "American Samoa",
  "Pacific/Honolulu"               => "Hawaii",
  "America/Juneau"                 => "Alaska",
  "America/Los_Angeles"            => "Pacific Time (US & Canada)",
  "America/Tijuana"                => "Tijuana",
  "America/Denver"                 => "Mountain Time (US & Canada)",
  "America/Phoenix"                => "Arizona",
  "America/Chihuahua"              => "Chihuahua",
  "America/Mazatlan"               => "Mazatlan",
  "America/Chicago"                => "Central Time (US & Canada)",
  "America/Regina"                 => "Saskatchewan",
  "America/Mexico_City"            => ["Guadalajara", "Mexico City"],
  "America/Monterrey"              => "Monterrey",
  "America/Guatemala"              => "Central America",
  "America/New_York"               => "Eastern Time (US & Canada)",
  "America/Indiana/Indianapolis"   => "Indiana (East)",
  "America/Bogota"                 => "Bogota",
  "America/Lima"                   => ["Lima", "Quito"],
  "America/Halifax"                => "Atlantic Time (Canada)",
  "America/Caracas"                => "Caracas",
  "America/La_Paz"                 => "La Paz",
  "America/Santiago"               => "Santiago",
  "America/St_Johns"               => "Newfoundland",
  "America/Sao_Paulo"              => "Brasilia",
  "America/Argentina/Buenos_Aires" => "Buenos Aires",
  "America/Guyana"                 => "Georgetown",
  "America/Godthab"                => "Greenland",
  "Atlantic/South_Georgia"         => "Mid-Atlantic",
  "Atlantic/Azores"                => "Azores",
  "Atlantic/Cape_Verde"            => "Cape Verde Is.",
  "Europe/Dublin"                  => "Dublin",
  "Europe/London"                  => ["Edinburgh", "London"],
  "Europe/Lisbon"                  => "Lisbon",
  "Africa/Casablanca"              => "Casablanca",
  "Africa/Monrovia"                => "Monrovia",
  "Etc/UTC"                        => "UTC",
  "Europe/Belgrade"                => "Belgrade",
  "Europe/Bratislava"              => "Bratislava",
  "Europe/Budapest"                => "Budapest",
  "Europe/Ljubljana"               => "Ljubljana",
  "Europe/Prague"                  => "Prague",
  "Europe/Sarajevo"                => "Sarajevo",
  "Europe/Skopje"                  => "Skopje",
  "Europe/Warsaw"                  => "Warsaw",
  "Europe/Zagreb"                  => "Zagreb",
  "Europe/Brussels"                => "Brussels",
  "Europe/Copenhagen"              => "Copenhagen",
  "Europe/Madrid"                  => "Madrid",
  "Europe/Paris"                   => "Paris",
  "Europe/Amsterdam"               => "Amsterdam",
  "Europe/Berlin"                  => ["Berlin", "Bern"],
  "Europe/Rome"                    => "Rome",
  "Europe/Stockholm"               => "Stockholm",
  "Europe/Vienna"                  => "Vienna",
  "Africa/Algiers"                 => "West Central Africa",
  "Europe/Bucharest"               => "Bucharest",
  "Africa/Cairo"                   => "Cairo",
  "Europe/Helsinki"                => "Helsinki",
  "Europe/Kiev"                    => "Kyiv",
  "Europe/Riga"                    => "Riga",
  "Europe/Sofia"                   => "Sofia",
  "Europe/Tallinn"                 => "Tallinn",
  "Europe/Vilnius"                 => "Vilnius",
  "Europe/Athens"                  => "Athens",
  "Europe/Istanbul"                => "Istanbul",
  "Europe/Minsk"                   => "Minsk",
  "Asia/Jerusalem"                 => "Jerusalem",
  "Africa/Harare"                  => "Harare",
  "Africa/Johannesburg"            => "Pretoria",
  "Europe/Moscow"                  => ["Moscow", "St. Petersburg", "Volgograd"],
  "Asia/Kuwait"                    => "Kuwait",
  "Asia/Riyadh"                    => "Riyadh",
  "Africa/Nairobi"                 => "Nairobi",
  "Asia/Baghdad"                   => "Baghdad",
  "Asia/Tehran"                    => "Tehran",
  "Asia/Muscat"                    => ["Muscat", "Abu Dhabi"],
  "Asia/Baku"                      => "Baku",
  "Asia/Tbilisi"                   => "Tbilisi",
  "Asia/Yerevan"                   => "Yerevan",
  "Asia/Kabul"                     => "Kabul",
  "Asia/Yekaterinburg"             => "Ekaterinburg",
  "Asia/Karachi"                   => ["Karachi", "Islamabad"],
  "Asia/Tashkent"                  => "Tashkent",
  "Asia/Kolkata"                   => ["New Delhi", "Chennai", "Mumbai", "Kolkata"],
  "Asia/Kathmandu"                 => "Kathmandu",
  "Asia/Dhaka"                     => ["Dhaka", "Astana"],
  "Asia/Colombo"                   => "Sri Jayawardenepura",
  "Asia/Almaty"                    => "Almaty",
  "Asia/Novosibirsk"               => "Novosibirsk",
  "Asia/Rangoon"                   => "Rangoon",
  "Asia/Bangkok"                   => ["Hanoi", "Bangkok"],
  "Asia/Jakarta"                   => "Jakarta",
  "Asia/Krasnoyarsk"               => "Krasnoyarsk",
  "Asia/Shanghai"                  => "Beijing",
  "Asia/Chongqing"                 => "Chongqing",
  "Asia/Hong_Kong"                 => "Hong Kong",
  "Asia/Urumqi"                    => "Urumqi",
  "Asia/Kuala_Lumpur"              => "Kuala Lumpur",
  "Asia/Singapore"                 => "Singapore",
  "Asia/Taipei"                    => "Taipei",
  "Australia/Perth"                => "Perth",
  "Asia/Irkutsk"                   => "Irkutsk",
  "Asia/Ulaanbaatar"               => "Ulaan Bataar",
  "Asia/Seoul"                     => "Seoul",
  "Asia/Tokyo"                     => ["Tokyo", "Sapporo", "Osaka"],
  "Asia/Yakutsk"                   => "Yakutsk",
  "Australia/Darwin"               => "Darwin",
  "Australia/Adelaide"             => "Adelaide",
  "Australia/Melbourne"            => ["Melbourne", "Canberra"], 
  "Australia/Sydney"               => "Sydney",
  "Australia/Brisbane"             => "Brisbane",
  "Australia/Hobart"               => "Hobart",
  "Asia/Vladivostok"               => "Vladivostok",
  "Pacific/Guam"                   => "Guam",
  "Pacific/Port_Moresby"           => "Port Moresby",
  "Asia/Magadan"                   => ["Solomon Is.", "Magadan"],
  "Pacific/Noumea"                 => "New Caledonia",
  "Pacific/Fiji"                   => "Fiji",
  "Asia/Kamchatka"                 => "Kamchatka",
  "Pacific/Majuro"                 => "Marshall Is.",
  "Pacific/Auckland"               => ["Auckland", "Wellington"],
  "Pacific/Tongatapu"              => "Nuku'alofa",
  "Pacific/Fakaofo"                => "Tokelau Is.",
  "Pacific/Apia"                   => "Samoa"
}.freeze
